require 'net/http/post/multipart'
require 'mimemagic'

class Metakiller

  @url = ""
  @token = ""

  def initialize(token)
  	@token = token
  	@url = URI.parse("http://192.168.1.137:3000/#{@token}/clean")
  end

  def clean(filepath)
    File.open(filepath) do |file|
	  req = Net::HTTP::Post::Multipart.new @url.path,
	    "files[]" => UploadIO.new(file, getMime(filepath), File.basename(filepath))
	  res = Net::HTTP.start(@url.host, @url.port) do |http|
	    http.request(req)
  	  end
  	  return res.body
  	end
  end

  def getMime(filepath)
  	return MimeMagic.by_magic(File.open(filepath))
  end

end